package com.sdtool.common.entity.site;

import com.sdtool.common.entity.base.BaseEntity;
import com.sweetfish.util.Comment;

public class LoginRequest extends BaseEntity {
    @Comment("登录名")
    private String loginName;

    @Comment("密码")
    private String password;

    @Comment("三方登录")
    private String socialOpenId;

    private long supplierId;

    private long supplierCode;

    private int loginFrom;

    private String clientIp;

    public String getLoginName() {
        return loginName;
    }

    public void setLoginName(String loginName) {
        this.loginName = loginName;
    }

    public String getPassword() {
        return password;
    }

    public void setPassword(String password) {
        this.password = password;
    }

    public int getLoginFrom() {
        return loginFrom;
    }

    public void setLoginFrom(int loginFrom) {
        this.loginFrom = loginFrom;
    }

    public long getSupplierId() {
        return supplierId;
    }

    public void setSupplierId(long supplierId) {
        this.supplierId = supplierId;
    }

    public long getSupplierCode() {
        return supplierCode;
    }

    public void setSupplierCode(long supplierCode) {
        this.supplierCode = supplierCode;
    }

    public String getClientIp() {
        return clientIp;
    }

    public void setClientIp(String clientIp) {
        this.clientIp = clientIp;
    }

    public String getSocialOpenId() {
        return socialOpenId;
    }

    public void setSocialOpenId(String socialOpenId) {
        this.socialOpenId = socialOpenId;
    }
}
